using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.StoragesContracts
{
    public interface IOrderStorage
    {
        List<OrderViewModel> GetFullList();

        List<OrderViewModel> GetFilteredList(OrderSearchModel model);

        OrderViewModel? GetElement(OrderSearchModel model);

        OrderViewModel? Insert(OrderBindingModel model);

        OrderViewModel? Update(OrderBindingModel model);

        OrderViewModel? Delete(OrderBindingModel model);
    }
}
